# -*- coding: utf-8 -*-
from setuphelpers import *
import tarfile


def install():
    package_version = control.version.split("-")[0]
    filename = "firefox-%s.tar.bz2" % package_version

    run_notfatal("apt-get remove firefox -y")
    run_notfatal("apt-get remove firefox-esr -y")

    extract_bz2(filename)
    killalltasks("firefox")
    if isdir("/opt/firefox-esr"):
        remove_tree("/opt/firefox-esr")
    copytree2("firefox", "/opt/firefox-esr")
    run("chown -R root:root /opt/firefox-esr")
    run("ln -sf /opt/firefox-esr/firefox /usr/bin/firefox")
    filecopyto("firefox.desktop", "/usr/share/applications/firefox.desktop")
    run("chown root:root /usr/share/applications/firefox.desktop")


def uninstall():
    killalltasks("firefox")
    remove_file("/usr/share/applications/firefox.desktop")
    remove_tree("/opt/firefox-esr")


def extract_bz2(filename, path="."):
    with tarfile.open(filename, "r:bz2") as tar:
        tar.extractall(path)
